package main

import (
	"flag"
	"net/http"
)

var config Config
var globalconfig GlobalConfig
var githubconfig GitHubConfig
var gogsconfig GogsConfig

var err error
var client *http.Client
var resp *http.Response
var configpath string

func main() {
	flag.StringVar(&configpath, "configfile", "github_to_gogs.ini", "config file to use with github_to_gogs section")
	flag.Parse()
	GetConfig(configpath, &config, &globalconfig, &githubconfig, &gogsconfig)
	GetGogsUserUID(&config)
	repolist := GetReposFromGitHub()
	MigrateReposToGogs(repolist)
}
